
#version 330 core
out vec4 FragColor;
  
in vec2 TexCoords;

uniform sampler2D screenTexture;
uniform vec3 color;

void main(){
    vec3 textColorModifier = color;
    if(color.x == 0 && color.y == 0 && color.z == 0){
        textColorModifier.x = 1;
        textColorModifier.y = 1;
        textColorModifier.z = 1;
    }
    FragColor = texture(screenTexture, TexCoords) * vec4(textColorModifier.xyz, 1.0);
}